---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterinstcls005.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x4220, symSize: 0x270 }
  - { offsetInCU: 0xACA, offset: 0xACA, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50700, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAF1, offset: 0xAF1, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52640, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB13, offset: 0xB13, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52A30, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB35, offset: 0xB35, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x539D0, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB4A, offset: 0xB4A, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x539E0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBC5, offset: 0xBC5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50370, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBD0, offset: 0xBD0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50374, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBDB, offset: 0xBDB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50378, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC20, offset: 0xC20, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x504D0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC99, offset: 0xC99, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50588, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCB7, offset: 0xCB7, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5058C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCD0, offset: 0xCD0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50590, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCE9, offset: 0xCE9, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50594, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xD02, offset: 0xD02, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50598, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92F1, offset: 0x92F1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x505A0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x937A, offset: 0x937A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x505B0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9393, offset: 0x9393, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x505B8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93AC, offset: 0x93AC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x505C0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93C5, offset: 0x93C5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x505C8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93DE, offset: 0x93DE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x505D0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93F8, offset: 0x93F8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x505D8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94DE, offset: 0x94DE, size: 0x8, addend: 0x0, symName: __ZL10objCounter, symObjAddr: 0x5061C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x50620, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9510, offset: 0x9510, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50628, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9529, offset: 0x9529, size: 0x8, addend: 0x0, symName: __ZL21debugeeClassSignature, symObjAddr: 0xE330, symBinAddr: 0x7D10, symSize: 0x0 }
  - { offsetInCU: 0x9542, offset: 0x9542, size: 0x8, addend: 0x0, symName: __ZL12fakeUserData, symObjAddr: 0x50664, symBinAddr: 0xC1E4, symSize: 0x0 }
  - { offsetInCU: 0x9594, offset: 0x9594, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2EC0, symSize: 0x80 }
  - { offsetInCU: 0x9629, offset: 0x9629, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2E10, symSize: 0xB0 }
  - { offsetInCU: 0x9684, offset: 0x9684, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2D10, symSize: 0x100 }
  - { offsetInCU: 0x9917, offset: 0x9917, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2F40, symSize: 0xC0 }
  - { offsetInCU: 0x9969, offset: 0x9969, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3000, symSize: 0x220 }
  - { offsetInCU: 0x9B4E, offset: 0x9B4E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3220, symSize: 0xA0 }
  - { offsetInCU: 0x9C01, offset: 0x9C01, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x32C0, symSize: 0x110 }
  - { offsetInCU: 0x9CF7, offset: 0x9CF7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x33D0, symSize: 0x150 }
  - { offsetInCU: 0x9E74, offset: 0x9E74, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3520, symSize: 0x30 }
  - { offsetInCU: 0x9F1D, offset: 0x9F1D, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3550, symSize: 0x150 }
  - { offsetInCU: 0xA115, offset: 0xA115, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x36A0, symSize: 0x160 }
  - { offsetInCU: 0xA3D5, offset: 0xA3D5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3800, symSize: 0x4A0 }
  - { offsetInCU: 0xA648, offset: 0xA648, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3CA0, symSize: 0x1B0 }
  - { offsetInCU: 0xA863, offset: 0xA863, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3E50, symSize: 0xA0 }
  - { offsetInCU: 0xA932, offset: 0xA932, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3EF0, symSize: 0x20 }
  - { offsetInCU: 0xA969, offset: 0xA969, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3F10, symSize: 0x20 }
  - { offsetInCU: 0xA9A0, offset: 0xA9A0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3F30, symSize: 0x20 }
  - { offsetInCU: 0xAB0F, offset: 0xAB0F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3F50, symSize: 0x1A0 }
  - { offsetInCU: 0xAE2B, offset: 0xAE2B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x40F0, symSize: 0x130 }
  - { offsetInCU: 0xAFDB, offset: 0xAFDB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4490, symSize: 0x1B0 }
  - { offsetInCU: 0xB2CA, offset: 0xB2CA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4640, symSize: 0x80 }
  - { offsetInCU: 0xB393, offset: 0xB393, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x46C0, symSize: 0x6A0 }
  - { offsetInCU: 0xBF28, offset: 0xBF28, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA450, symBinAddr: 0x6030, symSize: 0xB0 }
  - { offsetInCU: 0xBF9F, offset: 0xBF9F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4D60, symSize: 0x70 }
  - { offsetInCU: 0xC09F, offset: 0xC09F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x4560, symBinAddr: 0x4DD0, symSize: 0x390 }
  - { offsetInCU: 0xC50E, offset: 0xC50E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5160, symSize: 0xA0 }
  - { offsetInCU: 0xC5ED, offset: 0xC5ED, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5200, symSize: 0x40 }
  - { offsetInCU: 0xC6E3, offset: 0xC6E3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5240, symSize: 0x2B0 }
  - { offsetInCU: 0xCA89, offset: 0xCA89, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x54F0, symSize: 0xC0 }
  - { offsetInCU: 0xCBCF, offset: 0xCBCF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x55B0, symSize: 0x10 }
  - { offsetInCU: 0xCC91, offset: 0xCC91, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x55C0, symSize: 0x220 }
  - { offsetInCU: 0xCF8E, offset: 0xCF8E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x57E0, symSize: 0x10 }
  - { offsetInCU: 0xCFEB, offset: 0xCFEB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x57F0, symSize: 0x1F0 }
  - { offsetInCU: 0xD24E, offset: 0xD24E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x59E0, symSize: 0x10 }
  - { offsetInCU: 0xD2CB, offset: 0xD2CB, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0x9E10, symBinAddr: 0x59F0, symSize: 0x430 }
  - { offsetInCU: 0xD86B, offset: 0xD86B, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA240, symBinAddr: 0x5E20, symSize: 0x210 }
  - { offsetInCU: 0xDAD5, offset: 0xDAD5, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA500, symBinAddr: 0x60E0, symSize: 0x36A }
...
